Mono.Security.Win32 [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Security.Cryptography.RandomNumberGenerator Provides access to the unmanaged implementation of the default random data source in CryptoAPI. This class is part of the Mono.Security.Win32.dll assembly. This assembly provides a managed wrapper aound the unmanaged CryptoAPI. As such the assembly will only work on Windows operating system providing CryptoAPI.
- Constructor
  Creates a new CryptoAPI-based instance to get new random data.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  an array of bytes used as a seed for by the RNG.
  Creates a new CryptoAPI-based instance to get new random data.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  a containing the parameters to create the cryptographic context.
  Creates a new CryptoAPI-based instance to get new random data.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  a used as a seed fot the RNG.
  Creates a new CryptoAPI-based instance to get new random data.
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The buffer to be filled with random bytes. Fill the supplied buffer with random bytes. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The buffer to be filled with random bytes. Fill the supplied buffer with random bytes excluding zeros (0x00). Some cryptographic functions requires random that do not contain zeros. However this restriction do not apply to most application code so this method shouldn't be used. 1.0.5000.0 2.0.0.0